
Redmine - Patch #33337

Clean-up workflows controller

2020-04-21 21:24 - Vincent Robert

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Description

Hello

Here is a patch which aims to refactor the WorkflowsController.

The patch does not change the behavior of the application, but use smaller methods and clearer code. The routes are also updated.

My goal was to use a specific action for each route, and do not use a same method for different purposes (so avoid checking if the

request-method is "post" inside actions).

Hope this may help.

Associated revisions

Revision 20941 - 2021-04-13 11:01 - Go MAEDA

Clean-up workflows controller (#33337).

Patch by Vincent Robert and Marius BALTEANU.

History

#1 - 2021-02-27 09:51 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#2 - 2021-02-28 18:26 - Marius BĂLTEANU

- File 0001-Clean-up-workflows-controller.patch added

- File 0002-Fix-route-name.patch added

- Target version set to Candidate for next major release

Thanks Vincent for the patch, I tried it yesterday and it looks great from my point of view.

I'm attaching a rebased version of the initial patch and a second patch that fixes to route name (workflows_permissions_path should be

permissions_workflows_path). All the tests pass (https://gitlab.com/redmine-org/redmine/-/commit/4ef4ea5047323756a3241eea660e11a383ea7711)

with both patches.

I'm going to review the tests in the following days.

#3 - 2021-04-04 13:14 - Marius BĂLTEANU

- File deleted (0001-Clean-up-workflows-controller.patch)

#4 - 2021-04-04 13:14 - Marius BĂLTEANU

- File deleted (0002-Fix-route-name.patch)

#5 - 2021-04-04 13:15 - Marius BĂLTEANU

- File 0002-Fix-route-name.patch added

- File 0001-Clean-up-workflows-controller.patch added

- Assignee deleted (Marius BĂLTEANU)

- Target version changed from Candidate for next major release to 5.0.0

Update the patches for current trunk, the tests still pass.
https://gitlab.com/redmine-org/redmine/-/commit/4ef4ea5047323756a3241eea660e11a383ea7711


Setting target to 5.0.0, I think it's a nice refactoring.

#6 - 2021-04-13 11:01 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

#7 - 2021-04-13 11:02 - Go MAEDA

- Subject changed from Clean-up Workflows Controller to Clean-up workflows controller

#8 - 2021-04-13 11:33 - Vincent Robert

Thank you for updating and committing this patch.

Files

cleanup_workflows_controller.diff 17.1 KB 2020-04-21 Vincent Robert

0002-Fix-route-name.patch 868 Bytes 2021-04-04 Marius BĂLTEANU

0001-Clean-up-workflows-controller.patch 17.4 KB 2021-04-04 Marius BĂLTEANU
